ConstructConstraint
Keywords: uk.ac.ic.doc.automed.reps.ConstructConstraint class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.reps
Class ConstructConstraint

    java.lang.Object
      uk.ac.ic.doc.automed.reps.ConstructConstraint

All Implemented Interfaces:
  PersistentObject

    public class ConstructConstraint

extends java.lang.Object
implements PersistentObject

Constructor Summary
`ConstructConstraint(int cid, java.lang.String name, java.lang.String definition)` Creates a new instance of ConstructConstraint with a random id
`ConstructConstraint(java.lang.String ccid, int cid, java.lang.String name, java.lang.String definition)` Creates a new instance of ConstructConstraint

Method Summary
`java.lang.String` | `getConstructName()` Retrieve construct from repository
`PersistentKey` | `getKey()` Implements the `PersistentObject` interface
`java.util.Map` | `getPersistentAttributes()` Implements the `PersistentObject` interface

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConstructConstraint

    public ConstructConstraint(java.lang.String ccid,
                               int cid,
                               java.lang.String name,
                               java.lang.String definition)

  Creates a new instance of ConstructConstraint

### ConstructConstraint

    public ConstructConstraint(int cid,
                               java.lang.String name,
                               java.lang.String definition)

  Creates a new instance of ConstructConstraint with a random id

Method Detail

### getPersistentAttributes

    public java.util.Map getPersistentAttributes()

  Implements the `PersistentObject` interface

  Specified by:
    `getPersistentAttributes` in interface `PersistentObject`
  See Also:
    `PersistentObject.getPersistentAttributes()`

### getKey

    public PersistentKey getKey()

  Implements the `PersistentObject` interface

  Specified by:
    `getKey` in interface `PersistentObject`
  See Also:
    `uk.ac.ic.doc.automed.wrappersPersistentObject#getKey()`

### getConstructName

    public java.lang.String getConstructName()

  Retrieve construct from repository

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD